# Enum Class VulkanFormatSpace

java.lang.Object
java.lang.Enum<VulkanFormatSpace>
com.io7m.jcoronado.api.VulkanFormatSpace

All Implemented Interfaces:
  `Serializable`, `Comparable<VulkanFormatSpace>`, `Constable`

public enum VulkanFormatSpace extends Enum<VulkanFormatSpace>
The space of a format.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FORMAT_SPACE_LINEAR`
  The data is within a linear space.
  `FORMAT_SPACE_NONE`
  No or unspecified space.
  `FORMAT_SPACE_SRGB`
  The data is within an sRGB space.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanFormatSpace`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static VulkanFormatSpace[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FORMAT_SPACE_NONE

    public static final VulkanFormatSpace FORMAT_SPACE_NONE
    No or unspecified space.

  - ### FORMAT_SPACE_LINEAR

    public static final VulkanFormatSpace FORMAT_SPACE_LINEAR
    The data is within a linear space.

  - ### FORMAT_SPACE_SRGB

    public static final VulkanFormatSpace FORMAT_SPACE_SRGB
    The data is within an sRGB space.

- ## Method Details

  - ### values

    public static VulkanFormatSpace[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static VulkanFormatSpace valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null